1. JumpStart's Avatar
    Just wondering if someone is working on a program that you can downgrade any iphone that has not had the shsh blobs stored anywhere. Im sure it could be done but didnt know if any programers thought it was worth the effort. With so many people buying used iphones as not to have a contract and alot of them being on 4.0 in the near future, Maybe it would be worth looking into.

    I have a 3GS on 4.0 and I know that 4.0 slows down the 3G but it seems that if would also be eating memory up in the 3GS. There doesnt seem to be anything on 4.0 that I really need and would like to be on 3.1.3. or 3.1.2. and know that I am not eating up the resources.

    With all of the FW versions out there, you could just pick what you wanted to use. Even Microsoft will let you do that.

    Any one know if something like this is being worked on?

    Thanks
    2010-07-14 03:44 PM
  2. FerretBoi's Avatar
    Yea I got screwed when i bought my phone off ebay... it has 3.1.2 but was so bunked up I had to erase everything which royally f'd it. and the guy new saved any of the shsh's
    2010-07-14 05:29 PM
  3. bobdole3141's Avatar
    I don't know the for sure, but i thought it was, and perhaps this was just my educated guess -

    When you get new firmware on your iphone, you have to have it signed by apple for it to work on your device. Whilst it's legal to back that up and save it for your own safety purposes (allowing you to downgrade if you have it saved), the signature is probably copyrighted and if people started doing what you suggest they do and faking that copyrighted signature stuff, it'd shroud the scene in illegality, whereas currently we're legal.

    That's what i thought anyway, feel free to shoot me down.
    2010-07-15 10:30 AM
  4. JumpStart's Avatar
    Its not that people should be able to put anything on there, I just mainly believe that apple shouldnt have quit signing older firmware as long as it is theirs and it is for the device.

    Also I did get my 3gs downgraded to 3.1.3 after I had upgraded to 4.0 through itunes. Maybe later I will upgrade but for now, there isnt really anything on 4.0 that I really have to have.
    2010-07-18 01:25 PM
LINK TO POST COPIED TO CLIPBOARD